For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Assets
      • GETGet Asset
      • POSTUpload Asset
      • PATCHUpdate Asset
      • DELDelete Asset
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
AssetsAssets

Get Asset

GET
https://api.webflow.com/v2/assets/:asset_id
GET
/v2/assets/:asset_id
$curl -G https://api.webflow.com/v2/assets/580e63fc8c9a982ac9b8b745 \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0
1{
2 "id": "63e5889e7fe4eafa7384cea4",
3 "contentType": "image/png",
4 "size": 2212772,
5 "siteId": "63938b302ea6b0aa6f3d8745",
6 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/63938b302ea6b0aa6f3d8745/63e5889e7fe4eafa7384cea4_Vectors-Wrapper.svg",
7 "originalFileName": "Candy-Wrapper.svg",
8 "displayName": "63e5889e7fe4eafa7384cea4_Candy-Wrapper.png",
9 "lastUpdated": "2023-03-01T23:42:57.862Z",
10 "createdOn": "2023-02-09T23:58:22.294Z",
11 "variants": [
12 {
13 "hostedUrl": "https://s3.amazonaws.com/webflow-prod-assets/6258612d1ee792848f805dcf/660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
14 "originalFileName": "Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
15 "displayName": "660d83ce30f3a599ddb0bdb3_Screenshot%202024-03-20%20at%209.03.24%E2%80%AFPM-p-500.png",
16 "format": "png",
17 "width": 500,
18 "height": null,
19 "quality": 100,
20 "error": null
21 }
22 ],
23 "altText": "A single candy wrapper"
24}

Get details about an asset

Required scope | assets:read

Was this page helpful?
Previous

Upload Asset

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "objectid"
Unique identifier for an Asset on a site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for this asset
contentTypestringRead-onlyformat: "mime-type"
File format type
sizeintegerRead-only
size in bytes
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the site that hosts this asset
hostedUrlstringRead-onlyformat: "uri"
Link to the asset
originalFileNamestringRead-only
Original file name at the time of upload
displayNamestring
Display name of the asset
lastUpdatedstringRead-onlyformat: "date-time"
Date the asset metadata was last updated
createdOnstringRead-onlyformat: "date-time"
Date the asset metadata was created
variantslist of objects

A list of asset variants created by Webflow to serve your site responsively.

altTextstring or null
The visual description of the asset
folderIdstring or nullformat: "objectid"

The ID of the folder the asset belongs to, or null if the asset is at the site root. This field is present only in list responses (GET /sites/{site_id}/assets).

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error